Topics

PowerShell not found error


Cyrille
 

Hello

I am posting this thread on the nvda-devel mailing list since it seems more adapted.

I tried to build on last parent commits master~4, master~2 and master~1. It worked well.

Then I have turned back to master and it builds well... Very strange.

Cyrille

Le 04/06/2020 à 15:51, Lukasz Golonka a écrit :
Hello Cyrille,

On Thu, 4 Jun 2020 11:08:05 +0200
"Cyrille via groups.io" <cyrille.bougot2=laposte.net@groups.io> wrote:

i Lukasz

I have installed scons as you did and it is now working on add-on builds.


Regarding NVDA build, I get the following error log:


scons: Reading SConscript files ...
TypeError: find_vc_pdir() missing 1 required positional argument: 'msvc_version'
:
  File "D:\Cyrille\DevP\nvdaNew2\SConstruct", line 236:
env32.SConscript('nvdaHelper/archBuild_sconscript',exports={'env':env32,'cli
entInstallDir':clientDir.Dir('x86'),'libInstallDir':sourceLibDir},variant_dir='b
uild/x86')
  File "c:\users\cyrille\appdata\local\programs\python\python37-32\lib\site-pack
ages\scons\SCons\Script\SConscript.py", line 597:
    return _SConscript(self.fs, *files, **subst_kw)
  File "c:\users\cyrille\appdata\local\programs\python\python37-32\lib\site-pack
ages\scons\SCons\Script\SConscript.py", line 286:
    exec(compile(scriptdata, scriptname, 'exec'), call_stack[-1].globals)
  File "D:\Cyrille\DevP\nvdaNew2\build\x86\archBuild_sconscript", line 190:
    win10localLib=env.SConscript('localWin10/sconscript',)
  File "c:\users\cyrille\appdata\local\programs\python\python37-32\lib\site-pack
ages\scons\SCons\Script\SConscript.py", line 597:
    return _SConscript(self.fs, *files, **subst_kw)
  File "c:\users\cyrille\appdata\local\programs\python\python37-32\lib\site-pack
ages\scons\SCons\Script\SConscript.py", line 286:
    exec(compile(scriptdata, scriptname, 'exec'), call_stack[-1].globals)
  File "D:\Cyrille\DevP\nvdaNew2\build\x86\localWin10\sconscript", line 46:
    find_vc_pdir(msvc),

Do you think it is linked or is it totally something else?
Huh, it turns out I also cannot build NVDA with latest master of Scons -
I had slightly older version installed previously. It is a change in
Scons which unfortunately breaks NVDA's Sconscripts.